Subject: Free LaserJet 4 Utility V1.0
From: Frank Tegtmeyer <[email-masked]>
Date: Sun, 27 Feb 1994 17:05:00 GMT
Newsgroups: comp.os.linux.announce

The Free LaserJet 4 Utility is a program to control the capabilities
of a HP LaserJet 4.

I have uploaded the Free LaserJet 4 Utility to
ftp.germany.eu.net /pub/comp/i386/Linux/Incoming.EUnet
ftp.funet.fi /pub/OS/Linux/incoming
ftp.informatik.tu-muenchen.de /incoming
ftp.uni-erlangen.de /incoming

Here is the name and size:
-rw-r--r--   1 other    other       13858 Feb 27 14:10 free-lj4-1.0.tar.gz

It is also available in the following german BBS:
 Maus Rostock
 +49 381 696350 (V.32bis) 
 under the name flj4utl.tgz in the main program area.

Here is the readme-file:
----------------------------------

THE FREE LJ4 UTILITY   Version 1.0
----------------------------------

Copyright (c) 1994  under the terms of the GNU General
Public License (GPL)

written by Frank Tegtmeyer Rostock, Germany ([email-masked])

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
FITNESS FOR A PARTICULAR PURPOSE ( see also GPL).

If you make modifications /and or bugfixes to the source, or just 
discover repeatable bugs/problems, please feel obligated to send 
them to me. I will maintain and support versions I distribute as 
time and money allows. 
Please do not distribute modified versions, except you document
that this version is modified. Don't distribute versions without
the copyright file.

Please enjoy and find it useful; that's the overall goal.

1) Contents
------------

In this distribution you should have received the following files:

copyrigh.txt     the GNU General Public license (GPL)
readme.txt       the file you are reading
readme.ger       the readme file in german
lj4.c            the source of the Free LaserJet 4 Utility

2) Purpose of the program
--------------------------

You can use this program to control the most printing capabilities
of your HP LaserJet printer.

This program was implemented because I wanted to print in ECONOMODE
and lower density for evaluation purposes on my HP LaserJet 4L
connected to a PC running Linux ( and only Linux!).

I tried to get some information about the codes needed to get
the ECONOMODE but got no response from anywhere. Then I found
an MS-DOS program called LJ4 that does this job and more. It was
developed by Tim Tschirner and Christoph Sundergeld (TASSoft) in
germany. Many thanks to them at this place. (a source for this
program is the garbo mirror on ftp.germany.eu.net under /pub/msdos)

The Free LaserJet 4 Utility ist in general a reimplementation of
the original MS-DOS utility with some minor changes. It was done
by collecting the codes for every command from a listing on a
printer with hexdump capability.

3) usage and documentation

The program isn't documented in a separate file. All you need is
the manual of your printer and the program itself.
If you use a command that takes no effekt please check first your
printer manual rather than sending bug reports.

To get a short description, how the program works simply type

  lj4

To get a short list of all possible commands type

  lj4 -h   or  lj4 -help

To get a list of all commands with their possible parameters type

  lj4 -d   or  lj4 -detailed

All output (including error messages) are made to standard output.
If you want to affect the printer you must redirect the standard
output to the right printer or printer queue.

Examples:

lj4 economode off > /dev/lp
sets the printer to normal mode (ECONOMODE off)

lj4 RES | lpr -h 
resets the printer to factory defaults (assuming that the spool
system does not affect the printer modes)

4) bugfixes / questions

Please send all your bugfixes/questions/... via electronic mail
to the following Internet address:

  [email-masked]

Frank Tegtmeyer
Rostock (Germany), 1994

-- 
Frank Tegtmeyer    GECKO mbH Rostock; Wismarsche Str. 3; 18057 Rostock
		   Tel. 0381-45488-0  FAX: 0381-45488-50